import java.util.Date;
import java.util.List;


import org.hibernate.*;
import org.hibernate.criterion.*;

public class SimpleRetrieveTest {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table A ( id int);");
		HibernateUtil.setup("create table B ( id int, aid int);");
		// hibernate code start
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();


		A a = new A();
		B b1 = new B();
		B b2 = new B();
		a.setBs( new B[] {b1, b2} );

		session.save(a);

        tx.commit();
		HibernateUtil.closeSession();

		HibernateUtil.sessionFactory.close();

		// hibernate code end
		HibernateUtil.checkData("select * from A");
		HibernateUtil.checkData("select * from B");		
	}
}